com.h3c.util.perf.model

## Class OpMetrics

- java.lang.Object
- - com.h3c.util.perf.model.OpMetrics

-     public class OpMetrics
      extends Object

  An encapsulation of performance metrics for a given operation, which is marked by the annotation `Metric`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpMetrics()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getErrorCount()` Gets the value of the errorCount property.
    `Latency` | `getLatency()` Gets the value of the latency property.
    `long` | `getOpCount()` Gets the value of the opCount property.
    `String` | `getOpName()` Gets the value of the opName property.
    `Throughput` | `getThroughput()` Gets the value of the throughput property.
    `void` | `setErrorCount(long value)` Sets the value of the errorCount property.
    `void` | `setLatency(Latency value)` Sets the value of the latency property.
    `void` | `setOpCount(long value)` Sets the value of the opCount property.
    `void` | `setOpName(String value)` Sets the value of the opName property.
    `void` | `setThroughput(Throughput value)` Sets the value of the throughput property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpMetrics

          public OpMetrics()

  - ### Method Detail

    - #### getOpName

          public String getOpName()

      Gets the value of the opName property.
      Returns:
        operation name

    - #### setOpName

          public void setOpName(String value)

      Sets the value of the opName property.
      Parameters:
        `value` - operation name

    - #### getOpCount

          public long getOpCount()

      Gets the value of the opCount property.
      Returns:
        op count

    - #### setOpCount

          public void setOpCount(long value)

      Sets the value of the opCount property.
      Parameters:
        `value` - op count

    - #### getErrorCount

          public long getErrorCount()

      Gets the value of the errorCount property.
      Returns:
        error count

    - #### setErrorCount

          public void setErrorCount(long value)

      Sets the value of the errorCount property.
      Parameters:
        `value` - error count

    - #### getLatency

          public Latency getLatency()

      Gets the value of the latency property.
      Returns:
        possible object is `Latency`

    - #### setLatency

          public void setLatency(Latency value)

      Sets the value of the latency property.
      Parameters:
        `value` - allowed object is `Latency`

    - #### getThroughput

          public Throughput getThroughput()

      Gets the value of the throughput property.
      Returns:
        possible object is `Throughput`

    - #### setThroughput

          public void setThroughput(Throughput value)

      Sets the value of the throughput property.
      Parameters:
        `value` - allowed object is `Throughput`

Copyright © 2014. All Rights Reserved.